### Signal

# Ide Workspace::surface-set

#### Declaration

    void
    surface_set (
      IdeWorkspace* self,
      IdeSurface* surface,
      gpointer user_data
    )

#### Description

The “surface-set” signal is emitted when the current surface changes within the workspace.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
Available since: | 3.32

#### Parameters

`surface` | `IdeSurface`
| An `IdeSurface`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.